<?php 

App::uses('PayanywayController', 'Payment.Controller');

class PayanywayWebmoneyController extends PayanywayController {
	var $uses = array('PaymentMethod', 'Order');
	var $module_name = 'PayanywayWebmoney';
	var $icon = 'webmoney.png';
	var $params = array('unit_id' => 1017, 'account_id' => 0, 'online' => 1);
	var $additionalParameters = "";

	function settings ()
	{
		$parent = new PayanywayController();
		$this->set('data', $this->PaymentMethod->findByAlias($parent->module_name));
	}

	function install()
	{
		$new_module = array();
		$new_module['PaymentMethod']['active'] = '1';
		$new_module['PaymentMethod']['default'] = '0';
		$new_module['PaymentMethod']['name'] = Inflector::humanize($this->module_name);
		$new_module['PaymentMethod']['icon'] = $this->icon;
		$new_module['PaymentMethod']['alias'] = $this->module_name;

		$this->PaymentMethod->saveAll($new_module);

		$this->Session->setFlash(__('Module Installed'));
		$this->redirect('/payment_methods/admin/');
	}

	function before_process () 
	{
		$this->additionalParameters = "<div class='control-group'>";
		$this->additionalParameters .= "<label class='control-label' for='paymentSystem_accountId'>".__d("payanyway","Payment system")."</label>";
		$this->additionalParameters .= "<div class='controls'><select id='paymentSystem_accountId' name='paymentSystem.accountId'><option value='2'>WMR</option><option value='3'>WMZ</option><option value='4'>WME</option></select></div>";
		$this->additionalParameters .= "</div>";
		return parent::before_process();
	}
	
}

?>